depends = ('ITKPyBase', 'ITKTransform', 'ITKSpatialObjects', 'ITKImageFilterBase', 'ITKImageCompose', )
templates = (
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS2ISS2Neighborhood', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS3ISS3Neighborhood', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC2IUC2Neighborhood', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC3IUC3Neighborhood', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2Neighborhood', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF3IF3Neighborhood', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS2ISS2Neighborhood', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS3ISS3Neighborhood', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC2IUC2Neighborhood', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC3IUC3Neighborhood', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2Neighborhood', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF3IF3Neighborhood', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramSSSS', True, 'signed short, signed short'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramUCUC', True, 'unsigned char, unsigned char'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramFF', True, 'float, float'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS2ISS2NeighborhoodAHE', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS3ISS3NeighborhoodAHE', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC2IUC2NeighborhoodAHE', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC3IUC3NeighborhoodAHE', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF2IF2NeighborhoodAHE', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF3IF3NeighborhoodAHE', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF2', True, 'itk::Image< float,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF3', True, 'itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUC2', True, 'itk::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2ISS2', True, 'itk::Image< float,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IUC3', True, 'itk::Image< float,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3ISS3', True, 'itk::Image< float,3 >,itk::Image< signed short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
)
